Name:           perl-Data-Dumper-Names
Version:        0.03
Release:        1
Summary:        Data::Dumper like module for printing and eval data structures
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Data-Dumper-Names
Source0:        https://cpan.metacpan.org/authors/id/O/OV/OVID/Data-Dumper-Names-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-interpreter perl-generators perl(Module::Build) perl(strict) perl(warnings) perl(base) perl(Data::Dumper) perl(Exporter)
BuildRequires:  perl(PadWalker) >= 0.13 perl(Scalar::Util) perl(Test::More) perl(Test::Pod) >= 1.14 perl(Test::Pod::Coverage) >= 1.04
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version)) perl(PadWalker) >= 0.13

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(PadWalker\\)$

%description
The essential module Data::Dumper is used for printing perl data structures or 
suitable for eval. Data::Dumper::Names dump variables with names and without
source filter. 

%prep
%setup -q -n Data-Dumper-Names-%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
# Avoid annoying noise from TAP::Parser::SourceHandler::Perl version 3.28 (CPAN RT#85106)
# (as found in EL-7 beta)
export PERL5LIB="$(pwd)/no-such-directory"

./Build test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Dec 28 2021 lipanpan <lipanpana@uniontech.com> - 0.03-1
- package init
